import sklearn.metrics as metrics


def roc(y_test, preds):
    fpr, tpr, threshold = metrics.roc_curve(y_test, preds)
    roc_auc = metrics.auc(fpr, tpr)    

    print("AUC:", roc_auc)
    return fpr, tpr, roc_auc


def prc(y_true, y_pred):
    precision, recall, thresholds = metrics.precision_recall_curve(y_true, y_pred)
    average_precision = metrics.average_precision_score(y_true, y_pred)

    print("PRC:", average_precision)
    return recall, precision, average_precision


